
########## Tcl recorder starts at 02/21/07 09:43:35 ##########

set version "5.1"
set proj_dir "C:/projects/sb-iglx/04-software/can-cpld"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]

switch $tcl_platform(platform) {
   windows {
      set fpga_bin [file join $fpga_dir "bin" "nt"]
	     if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
	        set env(PATH) "$fpga_bin;$env(PATH)" } }
   unix {
      set fpga_bin [file join $fpga_dir "bin" "sol"]
      if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
         set env(PATH) "$fpga_bin;$env(PATH)"}}}

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 09:43:35 ###########


########## Tcl recorder starts at 02/21/07 09:46:40 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 09:46:40 ###########


########## Tcl recorder starts at 02/21/07 09:53:36 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 09:53:36 ###########


########## Tcl recorder starts at 02/21/07 10:08:37 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 10:08:37 ###########


########## Tcl recorder starts at 02/21/07 10:11:28 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 10:11:28 ###########


########## Tcl recorder starts at 02/21/07 10:12:55 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 10:12:55 ###########


########## Tcl recorder starts at 02/21/07 10:35:55 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 10:35:55 ###########


########## Tcl recorder starts at 02/21/07 10:44:31 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 10:44:31 ###########


########## Tcl recorder starts at 02/21/07 10:58:23 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 10:58:23 ###########


########## Tcl recorder starts at 02/21/07 11:00:04 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:00:04 ###########


########## Tcl recorder starts at 02/21/07 11:02:55 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:02:55 ###########


########## Tcl recorder starts at 02/21/07 11:03:17 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -syn  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:03:17 ###########


########## Tcl recorder starts at 02/21/07 11:07:18 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:07:18 ###########


########## Tcl recorder starts at 02/21/07 11:07:27 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -syn  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:07:27 ###########


########## Tcl recorder starts at 02/21/07 11:07:38 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" comparator8"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:07:38 ###########


########## Tcl recorder starts at 02/21/07 11:09:44 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:09:44 ###########


########## Tcl recorder starts at 02/21/07 11:09:49 ##########

# Commands to make the Process: 
# Compile Schematic
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:09:49 ###########


########## Tcl recorder starts at 02/21/07 11:09:55 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" isa2can-toop"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:09:55 ###########


########## Tcl recorder starts at 02/21/07 11:12:00 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:12:00 ###########


########## Tcl recorder starts at 02/21/07 11:12:08 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:12:08 ###########


########## Tcl recorder starts at 02/21/07 11:12:12 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" isa2can-toop"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:12:12 ###########


########## Tcl recorder starts at 02/21/07 11:12:17 ##########

# Commands to make the Process: 
# Compile Schematic
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:12:17 ###########


########## Tcl recorder starts at 02/21/07 11:14:02 ##########

# Commands to make the Process: 
# Compile Logic
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -ojhd compile -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:14:02 ###########


########## Tcl recorder starts at 02/21/07 11:14:05 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" comparator8"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:14:05 ###########


########## Tcl recorder starts at 02/21/07 11:22:09 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:22:09 ###########


########## Tcl recorder starts at 02/21/07 11:22:56 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -syn  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:22:56 ###########


########## Tcl recorder starts at 02/21/07 11:22:59 ##########

# Commands to make the Process: 
# Compiler Listing
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -syn -list  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:22:59 ###########


########## Tcl recorder starts at 02/21/07 11:24:58 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/blif2eqn\" comparator8.bl0 -o comparator8.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:24:58 ###########


########## Tcl recorder starts at 02/21/07 11:29:56 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" comparator8"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:29:56 ###########


########## Tcl recorder starts at 02/21/07 11:30:09 ##########

# Commands to make the Process: 
# ABEL Test Vector Template
if [runCmd "\"$cpld_bin/blif2eqn\" comparator8.bl0 -o comparator8.abt -testfix -template \"$install_dir/ispcpld/plsi/abel/plsiabt.tft\" -prj isa2can -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:30:10 ###########


########## Tcl recorder starts at 02/21/07 11:30:40 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -syn  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:30:40 ###########


########## Tcl recorder starts at 02/21/07 11:36:20 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:36:20 ###########


########## Tcl recorder starts at 02/21/07 11:38:42 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:38:42 ###########


########## Tcl recorder starts at 02/21/07 11:39:39 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:39:39 ###########


########## Tcl recorder starts at 02/21/07 11:39:41 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:39:41 ###########


########## Tcl recorder starts at 02/21/07 11:43:29 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:43:29 ###########


########## Tcl recorder starts at 02/21/07 11:49:32 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:49:32 ###########


########## Tcl recorder starts at 02/21/07 11:50:11 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" isa2can-toop"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 11:50:11 ###########


########## Tcl recorder starts at 02/21/07 12:59:53 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 12:59:53 ###########


########## Tcl recorder starts at 02/21/07 13:03:06 ##########

# Commands to make the Process: 
# ABEL Test Vector Template
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" isa2can-toop.bl0 -o isa2can-toop.abt -testfix -template \"$install_dir/ispcpld/plsi/abel/plsiabt.tft\" -prj isa2can -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:03:06 ###########


########## Tcl recorder starts at 02/21/07 13:04:26 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:04:26 ###########


########## Tcl recorder starts at 02/21/07 13:12:28 ##########

# Commands to make the Process: 
# Compile Test Vectors
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -sim isa2can -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:12:28 ###########


########## Tcl recorder starts at 02/21/07 13:12:49 ##########

# Commands to make the Process: 
# Compiler Listing
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -list  -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:12:49 ###########


########## Tcl recorder starts at 02/21/07 13:14:37 ##########

# Commands to make the Process: 
# Compile Test Vectors
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -sim isa2can -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:14:37 ###########


########## Tcl recorder starts at 02/21/07 13:15:10 ##########

# Commands to make the Process: 
# Compile Test Vectors
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -sim isa2can -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:15:10 ###########


########## Tcl recorder starts at 02/21/07 13:16:31 ##########

# Commands to make the Process: 
# Compile Test Vectors
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -sim isa2can -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:16:31 ###########


########## Tcl recorder starts at 02/21/07 13:17:00 ##########

# Commands to make the Process: 
# Compiler Listing
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -list  -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:17:00 ###########


########## Tcl recorder starts at 02/21/07 13:18:08 ##########

# Commands to make the Process: 
# Compile Test Vectors
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -sim isa2can -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:18:08 ###########


########## Tcl recorder starts at 02/21/07 13:20:17 ##########

# Commands to make the Process: 
# Compile Test Vectors
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -sim isa2can -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:20:17 ###########


########## Tcl recorder starts at 02/21/07 13:20:30 ##########

# Commands to make the Process: 
# Functional Simulation
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" -i isa2can-toop.bl0 -o isa2can-toop.bl1 -collapse none -reduce none  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -ojhd compile -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" comparator8.bl0 -collapse none -reduce none -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bl1\" -o \"isa2can.bl2\" -omod \"isa2can\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj isa2can -lci isa2can.lct -log isa2can.imp -err automake.err -tti isa2can.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -blifopt isa2can.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" isa2can.bl2 -sweep -mergefb -err automake.err -o isa2can.bl3 @isa2can.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -diofft isa2can.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" isa2can.bl3 -family amdmach -idev van -o isa2can.bl4 -oxrf isa2can.xrf -err automake.err @isa2can.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -prefit isa2can.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp isa2can.bl4 -out isa2can.bl5 -err automake.err -log isa2can.log -mod isa2can-toop @isa2can.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Functional Simulation
if [catch {open simcp._sp w} rspFile] {
	puts stderr "Cannot create response file simcp._sp: $rspFile"
} else {
	puts $rspFile "simcp.pre7 -ini simcpls.ini -unit simcp.pre7
-cfg machgen.fdk isa2can-toop.lts -map isa2can-toop.lsi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/simcp\" @simcp._sp"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:20:30 ###########


########## Tcl recorder starts at 02/21/07 13:34:42 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:34:43 ###########


########## Tcl recorder starts at 02/21/07 13:40:43 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:40:43 ###########


########## Tcl recorder starts at 02/21/07 13:41:04 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 13:41:04 ###########


########## Tcl recorder starts at 02/21/07 15:32:50 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 15:32:50 ###########


########## Tcl recorder starts at 02/21/07 15:42:56 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 15:42:56 ###########


########## Tcl recorder starts at 02/21/07 16:31:17 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 16:31:17 ###########


########## Tcl recorder starts at 02/21/07 16:31:23 ##########

# Commands to make the Process: 
# Compile Schematic
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 16:31:23 ###########


########## Tcl recorder starts at 02/21/07 16:31:34 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" -i isa2can-toop.bl0 -o isa2can-toop.bl1 -collapse none -reduce none  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bl1\" -o \"isa2can.bl2\" -omod \"isa2can\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj isa2can -lci isa2can.lct -log isa2can.imp -err automake.err -tti isa2can.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -blifopt isa2can.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" isa2can.bl2 -sweep -mergefb -err automake.err -o isa2can.bl3 @isa2can.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -diofft isa2can.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" isa2can.bl3 -family amdmach -idev van -o isa2can.bl4 -oxrf isa2can.xrf -err automake.err @isa2can.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -prefit isa2can.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp isa2can.bl4 -out isa2can.bl5 -err automake.err -log isa2can.log -mod isa2can-toop @isa2can.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 16:31:34 ###########


########## Tcl recorder starts at 02/21/07 17:47:38 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 17:47:38 ###########


########## Tcl recorder starts at 02/21/07 17:47:55 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 17:47:55 ###########


########## Tcl recorder starts at 02/21/07 18:06:44 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:06:44 ###########


########## Tcl recorder starts at 02/21/07 18:07:21 ##########

# Commands to make the Process: 
# Compile Schematic
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:07:21 ###########


########## Tcl recorder starts at 02/21/07 18:07:26 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" -i isa2can-toop.bl0 -o isa2can-toop.bl1 -collapse none -reduce none  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bl1\" -o \"isa2can.bl2\" -omod \"isa2can\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj isa2can -lci isa2can.lct -log isa2can.imp -err automake.err -tti isa2can.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -blifopt isa2can.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" isa2can.bl2 -sweep -mergefb -err automake.err -o isa2can.bl3 @isa2can.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -diofft isa2can.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" isa2can.bl3 -family amdmach -idev van -o isa2can.bl4 -oxrf isa2can.xrf -err automake.err @isa2can.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -prefit isa2can.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp isa2can.bl4 -out isa2can.bl5 -err automake.err -log isa2can.log -mod isa2can-toop @isa2can.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:07:26 ###########


########## Tcl recorder starts at 02/21/07 18:12:12 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:12:12 ###########


########## Tcl recorder starts at 02/21/07 18:13:21 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:13:21 ###########


########## Tcl recorder starts at 02/21/07 18:30:25 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:30:25 ###########


########## Tcl recorder starts at 02/21/07 18:31:48 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:31:48 ###########


########## Tcl recorder starts at 02/21/07 18:33:23 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:33:23 ###########


########## Tcl recorder starts at 02/21/07 18:37:21 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:37:21 ###########


########## Tcl recorder starts at 02/21/07 18:39:15 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:39:16 ###########


########## Tcl recorder starts at 02/21/07 18:40:14 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:40:14 ###########


########## Tcl recorder starts at 02/21/07 18:40:28 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:40:28 ###########


########## Tcl recorder starts at 02/21/07 18:51:26 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:51:26 ###########


########## Tcl recorder starts at 02/21/07 18:56:42 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:56:42 ###########


########## Tcl recorder starts at 02/21/07 18:59:24 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 18:59:24 ###########


########## Tcl recorder starts at 02/21/07 19:01:01 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 19:01:01 ###########


########## Tcl recorder starts at 02/21/07 19:01:12 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -syn  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 19:01:12 ###########


########## Tcl recorder starts at 02/21/07 19:01:14 ##########

# Commands to make the Process: 
# Compile Logic
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -ojhd compile -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/21/07 19:01:14 ###########


########## Tcl recorder starts at 02/22/07 10:08:50 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -syn  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:08:50 ###########


########## Tcl recorder starts at 02/22/07 10:09:40 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" logic"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:09:40 ###########


########## Tcl recorder starts at 02/22/07 10:21:25 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:21:25 ###########


########## Tcl recorder starts at 02/22/07 10:31:22 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:31:22 ###########


########## Tcl recorder starts at 02/22/07 10:34:55 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:34:55 ###########


########## Tcl recorder starts at 02/22/07 10:36:31 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:36:31 ###########


########## Tcl recorder starts at 02/22/07 10:36:42 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:36:42 ###########


########## Tcl recorder starts at 02/22/07 10:36:52 ##########

# Commands to make the Process: 
# Compile Schematic
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:36:52 ###########


########## Tcl recorder starts at 02/22/07 10:36:56 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/blif2eqn\" isa2can-toop.bl0 -o isa2can-toop.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:36:56 ###########


########## Tcl recorder starts at 02/22/07 10:37:10 ##########

# Commands to make the Process: 
# ABEL Test Vector Template
if [runCmd "\"$cpld_bin/blif2eqn\" isa2can-toop.bl0 -o isa2can-toop.abt -testfix -template \"$install_dir/ispcpld/plsi/abel/plsiabt.tft\" -prj isa2can -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:37:10 ###########


########## Tcl recorder starts at 02/22/07 10:37:27 ##########

# Commands to make the Process: 
# ABEL Test Vector Template
if [runCmd "\"$cpld_bin/blif2eqn\" logic.bl0 -o logic.abt -testfix -template \"$install_dir/ispcpld/plsi/abel/plsiabt.tft\" -prj isa2can -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:37:27 ###########


########## Tcl recorder starts at 02/22/07 10:39:09 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -ojhd compile -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" logic.bl0 -collapse none -reduce none -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" -i isa2can-toop.bl0 -o isa2can-toop.bl1 -collapse none -reduce none  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -ojhd compile -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" comparator8.bl0 -collapse none -reduce none -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bl1\" -o \"isa2can.bl2\" -omod \"isa2can\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj isa2can -lci isa2can.lct -log isa2can.imp -err automake.err -tti isa2can.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -blifopt isa2can.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" isa2can.bl2 -sweep -mergefb -err automake.err -o isa2can.bl3 @isa2can.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -diofft isa2can.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" isa2can.bl3 -family amdmach -idev van -o isa2can.bl4 -oxrf isa2can.xrf -err automake.err @isa2can.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -prefit isa2can.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp isa2can.bl4 -out isa2can.bl5 -err automake.err -log isa2can.log -mod isa2can-toop @isa2can.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:39:09 ###########


########## Tcl recorder starts at 02/22/07 10:43:57 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:43:57 ###########


########## Tcl recorder starts at 02/22/07 10:47:35 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:47:35 ###########


########## Tcl recorder starts at 02/22/07 10:48:12 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:48:12 ###########


########## Tcl recorder starts at 02/22/07 10:48:49 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv  -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:48:49 ###########


########## Tcl recorder starts at 02/22/07 10:48:53 ##########

# Commands to make the Process: 
# HTML Fitter Report
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:48:53 ###########


########## Tcl recorder starts at 02/22/07 10:51:52 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 10:51:52 ###########


########## Tcl recorder starts at 02/22/07 14:41:05 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 14:41:05 ###########


########## Tcl recorder starts at 02/22/07 15:10:38 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 15:10:38 ###########


########## Tcl recorder starts at 02/22/07 15:10:48 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -syn  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 15:10:48 ###########


########## Tcl recorder starts at 02/22/07 15:10:52 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -ojhd compile -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" logic.bl0 -o logic.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 15:10:52 ###########


########## Tcl recorder starts at 02/22/07 15:11:15 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" logic.bl0 -collapse none -reduce none -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bl1\" -o \"isa2can.bl2\" -omod \"isa2can\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj isa2can -lci isa2can.lct -log isa2can.imp -err automake.err -tti isa2can.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -blifopt isa2can.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" isa2can.bl2 -sweep -mergefb -err automake.err -o isa2can.bl3 @isa2can.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -diofft isa2can.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" isa2can.bl3 -family amdmach -idev van -o isa2can.bl4 -oxrf isa2can.xrf -err automake.err @isa2can.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -prefit isa2can.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp isa2can.bl4 -out isa2can.bl5 -err automake.err -log isa2can.log -mod isa2can-toop @isa2can.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 15:11:15 ###########


########## Tcl recorder starts at 02/22/07 15:11:37 ##########

# Commands to make the Process: 
# Post-Fit Pinouts
# - none -
# Application to view the Process: 
# Post-Fit Pinouts
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src isa2can.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -postfit -lci isa2can.lco
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 15:11:37 ###########


########## Tcl recorder starts at 02/22/07 16:18:24 ##########

# Commands to make the Process: 
# ISC-1532 File
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2i "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 02/22/07 16:18:24 ###########


########## Tcl recorder starts at 03/04/07 11:38:29 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 11:38:29 ###########


########## Tcl recorder starts at 03/04/07 11:56:29 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 11:56:29 ###########


########## Tcl recorder starts at 03/04/07 11:57:06 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 11:57:06 ###########


########## Tcl recorder starts at 03/04/07 11:57:13 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -syn  -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 11:57:13 ###########


########## Tcl recorder starts at 03/04/07 11:57:15 ##########

# Commands to make the Process: 
# Compile Logic
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -ojhd compile -ret -def _amdmach_ _mach_ _lsi5k_ _lattice_ _plsi_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 11:57:15 ###########


########## Tcl recorder starts at 03/04/07 11:57:18 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/blif2eqn\" logic.bl0 -o logic.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 11:57:18 ###########


########## Tcl recorder starts at 03/04/07 11:57:22 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" logic"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 11:57:22 ###########


########## Tcl recorder starts at 03/04/07 12:00:31 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 12:00:31 ###########


########## Tcl recorder starts at 03/04/07 12:01:15 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 12:01:15 ###########


########## Tcl recorder starts at 03/04/07 12:01:34 ##########

# Commands to make the Process: 
# Compile Schematic
if [runCmd "\"$cpld_bin/sch2blf\" -dev lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 12:01:34 ###########


########## Tcl recorder starts at 03/04/07 12:01:42 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/mblifopt\" logic.bl0 -collapse none -reduce none -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" -i isa2can-toop.bl0 -o isa2can-toop.bl1 -collapse none -reduce none  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bl1\" -o \"isa2can.bl2\" -omod \"isa2can\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj isa2can -lci isa2can.lct -log isa2can.imp -err automake.err -tti isa2can.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -blifopt isa2can.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" isa2can.bl2 -sweep -mergefb -err automake.err -o isa2can.bl3 @isa2can.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -diofft isa2can.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" isa2can.bl3 -family amdmach -idev van -o isa2can.bl4 -oxrf isa2can.xrf -err automake.err @isa2can.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -prefit isa2can.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp isa2can.bl4 -out isa2can.bl5 -err automake.err -log isa2can.log -mod isa2can-toop @isa2can.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 12:01:43 ###########


########## Tcl recorder starts at 03/04/07 12:03:45 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 12:03:45 ###########


########## Tcl recorder starts at 03/04/07 12:04:11 ##########

# Commands to make the Process: 
# Optimization Constraint
# - none -
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci isa2can.lct -touch isa2can.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 03/04/07 12:04:11 ###########


########## Tcl recorder starts at 09/08/09 09:24:27 ##########

set version "1.3"
set proj_dir "D:/Projects/SB-iGLX/04-Software/CAN-CPLD"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line; continue}
	if {$path && [regexp {^fpgabinpath} $lline]} {set fpga_bin $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]
set fpga_bin [string range $fpga_bin [expr [string first "=" $fpga_bin]+1] end]
regsub -all "\"" $fpga_bin "" fpga_bin
set fpga_bin [file join $fpga_bin]

if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$fpga_bin;$env(PATH)" }

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:24:27 ###########


########## Tcl recorder starts at 09/08/09 09:25:16 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -ojhd only -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:25:16 ###########


########## Tcl recorder starts at 09/08/09 09:25:26 ##########

# Commands to make the Process: 
# Compile Logic
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -ojhd compile -ret -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:25:26 ###########


########## Tcl recorder starts at 09/08/09 09:25:32 ##########

# Commands to make the Process: 
# Check Syntax
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -syn  -ret -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:25:32 ###########


########## Tcl recorder starts at 09/08/09 09:25:33 ##########

# Commands to make the Process: 
# Compiler Listing
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -syn -list  -ret -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:25:33 ###########


########## Tcl recorder starts at 09/08/09 09:25:39 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/blif2eqn\" isa2can-toop.bl0 -o isa2can-toop.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:25:39 ###########


########## Tcl recorder starts at 09/08/09 09:25:46 ##########

# Commands to make the Process: 
# Update All Schematic Files
if [runCmd "\"$cpld_bin/updatesc\" isa2can-toop.sch -yield"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:25:46 ###########


########## Tcl recorder starts at 09/08/09 09:25:49 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/mblifopt\" logic.bl0 -collapse none -reduce none -err automake.err  -keepwires"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bl1\" -o \"isa2can.bl2\" -omod \"isa2can\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj isa2can -lci isa2can.lct -log isa2can.imp -err automake.err -tti isa2can.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -blifopt isa2can.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" isa2can.bl2 -sweep -mergefb -err automake.err -o isa2can.bl3 @isa2can.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -diofft isa2can.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" isa2can.bl3 -family AMDMACH -idev van -o isa2can.bl4 -oxrf isa2can.xrf -err automake.err @isa2can.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -prefit isa2can.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp isa2can.bl4 -out isa2can.bl5 -err automake.err -log isa2can.log -mod isa2can-toop @isa2can.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:25:49 ###########


########## Tcl recorder starts at 09/08/09 09:26:55 ##########

# Commands to make the Process: 
# Fitter Report (Text)
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:26:55 ###########


########## Tcl recorder starts at 09/08/09 09:26:59 ##########

# Commands to make the Process: 
# Post-Fit Pinouts
# - none -
# Application to view the Process: 
# Post-Fit Pinouts
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src isa2can.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -postfit -lci isa2can.lco
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:26:59 ###########


########## Tcl recorder starts at 09/08/09 09:27:07 ##########

# Commands to make the Process: 
# Generate Board-level Stamp Model
if [runCmd "\"$cpld_bin/timer\" -inp \"isa2can.tt4\" -lci \"isa2can.lct\" -stamp \"isa2can.stamp\" -exf \"isa2can-toop.exf\" -lco \"isa2can.lco\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/stamppar\" -i isa2can.stamp "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:27:07 ###########


########## Tcl recorder starts at 09/08/09 09:27:09 ##########

# Commands to make the Process: 
# Generate Timing Simulation Files
if [runCmd "\"$cpld_bin/vhdl\" -s -lib=lat_vhd isa2can-toop.sch"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/exfgen\" -vhd isa2can-toop.vhd -out isa2can-toop.exf"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open isa2can.rsp w} rspFile] {
	puts stderr "Cannot create response file isa2can.rsp: $rspFile"
} else {
	puts $rspFile "-i isa2can.tt4 -lib \"$install_dir/ispcpld/dat/lc4k\" -strategy top -sdfmdl \"$install_dir/ispcpld/dat/sdf.mdl\" -pla isa2can.tt4 -lci isa2can.lct -prj isa2can -dir \"$proj_dir\" -err automake.err -log isa2can.nrp -exf isa2can-toop.exf 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/sdf\" @isa2can.rsp"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rsp

########## Tcl recorder end at 09/08/09 09:27:09 ###########


########## Tcl recorder starts at 09/08/09 09:28:22 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" isa2can-toop"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:22 ###########


########## Tcl recorder starts at 09/08/09 09:28:28 ##########

# Commands to make the Process: 
# ABEL Test Vector Template
if [runCmd "\"$cpld_bin/blif2eqn\" isa2can-toop.bl0 -o isa2can-toop.abt -testfix -template \"$install_dir/ispcpld/plsi/abel/plsiabt.tft\" -prj isa2can -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:28 ###########


########## Tcl recorder starts at 09/08/09 09:28:30 ##########

# Commands to make the Process: 
# Verilog Test Fixture Declarations
if [runCmd "\"$cpld_bin/sch2tf\" -prj isa2can isa2can-toop.sch  -template \"$install_dir/ispcpld/generic/verilog/tfi.tft\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:30 ###########


########## Tcl recorder starts at 09/08/09 09:28:31 ##########

# Commands to make the Process: 
# Verilog Test Fixture Template
if [runCmd "\"$cpld_bin/sch2tf\" -template \"$install_dir/ispcpld/generic/verilog/tft.tft\" -prj isa2can -ext .tft isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:31 ###########


########## Tcl recorder starts at 09/08/09 09:28:32 ##########

# Commands to make the Process: 
# VHDL Test Bench Template
if [runCmd "\"$cpld_bin/vhdl\" -tisa2can-toop.vht -s isa2can-toop.sch"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:32 ###########


########## Tcl recorder starts at 09/08/09 09:28:38 ##########

# Commands to make the Process: 
# Compile Test Vectors
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -sim ISA2CAN -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:38 ###########


########## Tcl recorder starts at 09/08/09 09:28:40 ##########

# Commands to make the Process: 
# Compiler Listing
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv -list  -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:40 ###########


########## Tcl recorder starts at 09/08/09 09:28:42 ##########

# Commands to make the Process: 
# Functional Simulation
# - none -
# Application to view the Process: 
# Functional Simulation
if [catch {open simcp._sp w} rspFile] {
	puts stderr "Cannot create response file simcp._sp: $rspFile"
} else {
	puts $rspFile "simcp.pre7 -ini simcpls.ini -unit simcp.pre7
-cfg machgen.fdk isa2can-toop.lts -map isa2can-toop.lsi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/simcp\" @simcp._sp"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:42 ###########


########## Tcl recorder starts at 09/08/09 09:28:52 ##########

# Commands to make the Process: 
# Timing Simulation
if [runCmd "\"$cpld_bin/sch2tf\" -template \"$install_dir/ispcpld/plsi/latsim/plsi.tft\" -prj isa2can -ext .lsi isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open isa2can.rss w} rspFile] {
	puts stderr "Cannot create response file isa2can.rss: $rspFile"
} else {
	puts $rspFile "-i \"isa2can.tt4\" -lib \"$install_dir/ispcpld/dat/lc4k\" -strategy top -sdfmdl \"$install_dir/ispcpld/dat/sdf.mdl\" -simmdl \"$install_dir/ispcpld/dat/sim.mdl\" -pla \"isa2can.tt4\" -lci \"isa2can.lct\" -prj \"isa2can\" -dir \"$proj_dir\" -err automake.err -log \"isa2can.nrp\" -exf \"isa2can-toop.exf\"  -netlist edif
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/sdf\" \"@isa2can.rss\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rss
# Application to view the Process: 
# Timing Simulation
if [catch {open simcp._sp w} rspFile] {
	puts stderr "Cannot create response file simcp._sp: $rspFile"
} else {
	puts $rspFile "simcp.post5 -ini simcpls.ini -all simcp.post5
-cfg machgen.fdk isa2can-toop.lts -map isa2can-toop.lsi
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/simcp\" @simcp._sp"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:28:52 ###########


########## Tcl recorder starts at 09/08/09 09:29:05 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:29:05 ###########


########## Tcl recorder starts at 09/08/09 09:29:40 ##########

# Commands to make the Process: 
# ISC-1532 File
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2i "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:29:40 ###########


########## Tcl recorder starts at 09/08/09 09:30:38 ##########

# Commands to make the Process: 
# Optimization Constraint
# - none -
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci isa2can.lct -touch isa2can.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:30:38 ###########


########## Tcl recorder starts at 09/08/09 09:32:29 ##########

# Commands to make the Process: 
# Generate Board-level Stamp Model
if [runCmd "\"$cpld_bin/timer\" -inp \"isa2can.tt4\" -lci \"isa2can.lct\" -stamp \"isa2can.stamp\" -exf \"isa2can-toop.exf\" -lco \"isa2can.lco\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/stamppar\" -i isa2can.stamp "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:32:29 ###########


########## Tcl recorder starts at 09/08/09 09:32:41 ##########

# Commands to make the Process: 
# Generate Timing Simulation Files
if [catch {open isa2can.rsp w} rspFile] {
	puts stderr "Cannot create response file isa2can.rsp: $rspFile"
} else {
	puts $rspFile "-i isa2can.tt4 -lib \"$install_dir/ispcpld/dat/lc4k\" -strategy top -sdfmdl \"$install_dir/ispcpld/dat/sdf.mdl\" -pla isa2can.tt4 -lci isa2can.lct -prj isa2can -dir \"$proj_dir\" -err automake.err -log isa2can.nrp -exf isa2can-toop.exf 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/sdf\" @isa2can.rsp"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rsp

########## Tcl recorder end at 09/08/09 09:32:41 ###########


########## Tcl recorder starts at 09/08/09 09:33:06 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/sch2blf\" -dev Lattice -sup isa2can-toop.sch  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bls\" -o \"isa2can-toop.bl0\" -ipo  -family -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" -i isa2can-toop.bl0 -o isa2can-toop.bl1 -collapse none -reduce none  -err automake.err -keepwires -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/ahdl2blf\" logic.abl -mod logic -ojhd compile -ret -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" logic.bl0 -collapse none -reduce none -err automake.err  -keepwires"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/ahdl2blf\" comparator8.abl -mod comparator8 -ojhd compile -ret -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" comparator8.bl0 -collapse none -reduce none -err automake.err  -keepwires"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"isa2can-toop.bl1\" -o \"isa2can.bl2\" -omod \"isa2can\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj isa2can -lci isa2can.lct -log isa2can.imp -err automake.err -tti isa2can.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -blifopt isa2can.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" isa2can.bl2 -sweep -mergefb -err automake.err -o isa2can.bl3 @isa2can.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -diofft isa2can.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" isa2can.bl3 -family AMDMACH -idev van -o isa2can.bl4 -oxrf isa2can.xrf -err automake.err @isa2can.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci isa2can.lct -dev lc4k -prefit isa2can.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp isa2can.bl4 -out isa2can.bl5 -err automake.err -log isa2can.log -mod isa2can-toop @isa2can.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:33:06 ###########


########## Tcl recorder starts at 09/08/09 09:34:23 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/ahdl2blf\" isa2can-toop.abv -vec -ovec isa2can-toop.tmv  -def _AMDMACH_ _MACH_ _LSI5K_ _LATTICE_ _PLSI_ _MACH4ZE_  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:34:23 ###########


########## Tcl recorder starts at 09/08/09 09:34:27 ##########

# Commands to make the Process: 
# ISC-1532 File
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2i "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:34:27 ###########


########## Tcl recorder starts at 09/08/09 09:34:34 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:34:34 ###########


########## Tcl recorder starts at 09/08/09 09:34:44 ##########

# Commands to make the Process: 
# Generate Board-level Stamp Model
if [runCmd "\"$cpld_bin/timer\" -inp \"isa2can.tt4\" -lci \"isa2can.lct\" -stamp \"isa2can.stamp\" -exf \"isa2can-toop.exf\" -lco \"isa2can.lco\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/stamppar\" -i isa2can.stamp "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:34:44 ###########


########## Tcl recorder starts at 09/08/09 09:34:53 ##########

# Commands to make the Process: 
# Compiled Equations
if [runCmd "\"$cpld_bin/blif2eqn\" isa2can-toop.bl0 -o isa2can-toop.eq0  -err automake.err"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:34:53 ###########


########## Tcl recorder starts at 09/08/09 09:34:54 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/sch2jhd\" isa2can-toop.sch "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/naf2sym\" isa2can-toop"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:34:54 ###########


########## Tcl recorder starts at 09/08/09 09:36:51 ##########

# Commands to make the Process: 
# Update All Schematic Files
if [runCmd "\"$cpld_bin/updatesc\" isa2can-toop.sch -yield"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 09:36:51 ###########


########## Tcl recorder starts at 09/08/09 11:34:14 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 11:34:14 ###########


########## Tcl recorder starts at 09/08/09 11:37:45 ##########

# Commands to make the Process: 
# Update All Schematic Files
if [runCmd "\"$cpld_bin/updatesc\" isa2can-toop.sch -yield"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 11:37:45 ###########


########## Tcl recorder starts at 09/08/09 11:37:48 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open isa2can.rs1 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs1: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -nojed -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open isa2can.rs2 w} rspFile] {
	puts stderr "Cannot create response file isa2can.rs2: $rspFile"
} else {
	puts $rspFile "-i isa2can.bl5 -lci isa2can.lct -d m4s_32_32 -lco isa2can.lco -html_rpt -fti isa2can.fti -fmt PLA -tto isa2can.tt4 -eqn isa2can.eq3 -tmv isa2can-toop.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@isa2can.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete isa2can.rs1
file delete isa2can.rs2
if [runCmd "\"$cpld_bin/tda\" -i isa2can.bl5 -o isa2can.tda -lci isa2can.lct -dev m4s_32_32 -family lc4k -mod isa2can-toop -ovec isa2can-toop.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj isa2can -if isa2can.jed -j2s -log isa2can.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 11:37:48 ###########


########## Tcl recorder starts at 09/08/09 11:37:54 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i isa2can.bl5 -o isa2can.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 11:37:54 ###########


########## Tcl recorder starts at 09/08/09 11:44:36 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src isa2can.bl5 -type BLIF -presrc isa2can.bl3 -crf isa2can.crf -sif isa2can.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_32_32.dev\" -lci isa2can.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 09/08/09 11:44:36 ###########

